#
# spec file for package jenkins-swarm-client
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           jenkins-swarm-client
Version:        3.15
Release:        2.1
License:        MIT
Summary:        A jenkins plugin to let workers join when they want
Url:            https://wiki.jenkins-ci.org/display/JENKINS/Swarm+Plugin
Group:          Development/Tools/Building
Source0:        https://repo.jenkins-ci.org/releases/org/jenkins-ci/plugins/swarm-client/%{version}/swarm-client-%{version}.jar
Source1:        %{name}.init
Source2:        %{name}.sysconfig
#BuildRequires:  java-devel
Requires:       java >= 1.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(pre):  %fillup_prereq %insserv_prereq

%if ! %{defined _fillupdir}
%define _fillupdir /var/adm/fillup-templates
%endif

%description
With this plugin it is possible to dynamically add workers
to an existing Jenkins-CI instance


%prep

%build

%install
install -Dm0644 %{SOURCE0} %{buildroot}%{_prefix}/lib/%{name}/swarm-client-%{version}.jar
ln -sf swarm-client-%{version}.jar %{buildroot}%{_prefix}/lib/%{name}/%{name}.jar
install -Dm0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/%{name}
install -d %{buildroot}%{_sbindir}
ln -sf ../../%{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
install -Dm0644 %{SOURCE2} %{buildroot}%{_fillupdir}/sysconfig.%{name}

%pre
true

%post
test -x /usr/bin/systemctl && systemctl daemon-reload
%fillup_and_insserv %{name}

%preun
%stop_on_removal %{name}

%postun
%restart_on_update %{name}
%insserv_cleanup

%files
%defattr(-,root,root,,)
%{_sbindir}/rc%{name}
%{_prefix}/lib/%{name}
%config %{_sysconfdir}/init.d/%{name}
%{_fillupdir}/sysconfig.%{name}

%changelog
* Mon Feb 11 2019 bwiedemann@suse.com
- Update to version 3.15
* Wed Nov  7 2018 jdsn@suse.de
- also support new location for fillupdir
* Mon Jun 19 2017 bwiedemann@suse.com
- Update to version 3.4
    Add option -sslFingerprints providing a possibility to add custom SSL trust anchors without adding them to the system store.
    Added -logFile and -labelsFile options. Now supports dynamic labels
    Added support for very large numbers of dynamic labels when using -labelsFile
    Remove consecutive slashes in plugin urls
    docker-compose configuration updates
    Add retry backoff strategy
    Bumped remoting library to same as Jenkins LTS at the moment
* Fri Oct 14 2016 bwiedemann@suse.com
- initial package version 2.2
